<script setup lang="ts">
import { useMaterialTempStore } from '@/stores/material'
import { ref } from 'vue'

const materialStore = useMaterialTempStore()

const headers = [
  {
    title: 'material_name',
    key: 'id',
    value: 'material_name'
  },
  {
    title: 'num_of_material',
    key: 'email',
    value: 'num_of_material'
  },
  {
    title: 'material_status',
    key: 'fullName',
    value: 'material_status'
  },
  {
    title: 'last_purchase_price',
    key: 'gender',
    value: 'last_purchase_price'
  },
  { title: 'Actions', key: 'actions', sortable: false }
]
</script>
<template>
  <v-data-table :headers="headers" :items="materialStore.Materials">
    <template v-slot:top>
      <v-toolbar flat style="background-color: rgb(247, 156, 82)">
        <v-toolbar-title style="color: white; font-weight: bold; font-size: 30px;">Users</v-toolbar-title>
        <v-divider class="mx-4" inset vertical></v-divider>
        <v-spacer></v-spacer>
        <!-- Put Edited Dialog -->
      </v-toolbar>
      <v-text-field v-model="materialStore.mobj.status" :rules="[
    (v) => !!v || 'Celsius is not empty!!!',
  ]" label="Celsius" required hide-details></v-text-field>
      <v-text-field v-model="materialStore.mobj.unit" :rules="[
    (v) => !!v || 'Celsius is not empty!!!',
  ]" label="Celsius" required hide-details></v-text-field>
      <v-btn @Click="materialStore.createMaterial()">click me</v-btn>
    </template>
  </v-data-table>
</template>
